const { ccclass, property } = cc._decorator;

@ccclass
export default class EditBoxTest extends cc.Component {



    start() {
        var clickEventHandler = new cc.Component.EventHandler();
        clickEventHandler.target = this.node; //这个 node 节点是你的事件处理代码组件所属的节点
        clickEventHandler.component = "EditBoxTest";//这个是代码文件名
        clickEventHandler.handler = "callback";
        clickEventHandler.customEventData = "foobar";

        var button = this.node.getComponent(cc.Button);
        if (!button) {
            console.error(`这是节点不存在按钮`);
            return;
        }
        button.clickEvents.push(clickEventHandler);
    }
    label: cc.Label = null;
    tip(text: string) {
        if (this.label === null) {
            this.label = cc.find('Canvas/TipLabel').getComponent(cc.Label);
        }
        this.label.string += '\n' + text;
    }
    editBox:cc.EditBox=null;
    callback(){
        this.editBox=cc.find('Canvas/EditBox').getComponent(cc.EditBox);
        try{
            this.editBox.string='test data';
        }catch(e){
            this.tip(`设置editBox时，发生异常：${e.message},详情请查看控制台`);
            console.error(e);
        }
    }    
    
   
}
